/*------------------------------------------------------------------------------*
 * File Name: OperationManager.h												*
 * Creation: CPY 5/28/2003														*
 * Purpose: Origin C OperationManager class header								*
 * Copyright (c) OriginLab Corp.2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007	*
 * All Rights Reserved															*
 * 																				*
 * Modification Log:															*
 *------------------------------------------------------------------------------*/
#ifndef _OPERATIONMANAGER_H
#define _OPERATIONMANAGER_H

class	OperationManager
{
public:
	OperationManager();
	
public:
	/**
	*/
	BOOL	Run(UINT uid = 0);
	
	/**
	*/
	void	SetAutoUpdate(BOOL bOn = TRUE);
	
	/**
	*/
	BOOL	IsAutoUpdate();
	
	/**
	*/
	
	void	SetBatchProcessing(BOOL bOn = TRUE);
	
	/**
	*/
	BOOL	IsBatchProcessing();
	
	/**
	*/
	int					GetCount();
	
	/**
	*/
	OperationBase&		GetOperation(int nIndex);

	/**
	*/
	OperationBase&		FindOutgoingOperation(DataRange& dr, LPCSTR lpcszXFName);
};

#endif //_OPERATIONMANAGER_H